@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --color-primario: #004DA9;
    --color-secundario: #f66625;

    /* 🧱 FONDOS */
    --color-fondo: #fdfaf2;
    --color-fondo-secundario: #a3e3fa;

    /* 📝 TEXTOS */
    --color-texto: #333333;
    --color-titulos: #f66625;

    --color-blanco: #FFFFFF;
    --color-gris: #222;

    --fuente-textos: "Montserrat", sans-serif;

    --sombra: 0 0.4rem 1rem rgba(0, 0, 0, 0.4);

    --espacio-minimo: .25rem;
    --espacio-chico: .5rem;
    --espacio-medio: 1rem;
    --espacio-grande: 2rem;

    font-size: 1.1em;
}

body {
    background-color: var(--color-fondo);
    font-family: "Montserrat", sans-serif;
    color: var(--color-texto);
}

header {
    background-color: var(--color-primario);
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    padding: 2rem;
    box-shadow: var(--sombra);
}


main section {
    width: 100%;
    max-width: 1200px;
    margin: 60px auto;

    padding-left: 0;
}

.nav-links {
    display: flex;
    list-style: none;
    gap: 10px;
}

.nav-links li a {
    text-decoration: none;
    color: var(--color-secundario);
    font-weight: bold;
    font-size: 0.9rem;

    padding: 8px 20px;
    border: 2px solid var(--color-secundario);
    border-radius: 50px;

    transition: all 0.3s ease;
}

.nav-links li a:hover {
    background-color: var(--color-secundario);
    color: var(--color-blanco);
}

.titulo {
    color: #f66625;
    padding: 0rem;
}

.presentacion {
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding: 1.5rem;
}

.presentacion h2 {
    color: var(--color-texto);
}

.titulo-equipo {
    width: 100%;
    font-size: 2rem;
    border-bottom: 3px solid var(--color-primario);
    padding-bottom: 10px;
    margin-bottom: 40px;
    color: var(--color-primario);

}

.integrante a {
    text-decoration: none;
    color: var(--color-gris);
}

.integrante a:hover {
    color: var(--color-primario);
}

.contenedor-equipo {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    justify-content: center;
    align-items: stretch;


}

.integrante {
    flex-direction: column;
    text-align: center;
    display: flex;
    align-items: center;
    gap: 20px;
    border: 2px solid var(--color-fondo-secundario);
    padding: 1.5rem;
    border-radius: 30px;
    padding: 20px;
    min-width: 0;
}

.integrante img {
    width: 120px;
    height: 120px;
    object-fit: cover;
    box-shadow: var(--sombra);
    border-radius: 20px;
}

.integrante h3 {
    margin: 0;
    font-size: 1.4rem;
    color: var(--color-gris);
}

.integrante p {
    margin-top: 5px;
    font-size: 1rem;
    color: #666;
}

.info-integrante {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.titulo-datos {
    width: 100%;
    font-size: 2rem;
    border-bottom: 3px solid var(--color-primario);
     padding-bottom: 10px;
    margin-bottom: 40px;
}

.contenedor-academico {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
}

.contenedor-academico h3 {
    color: var(--color-primario)
}

.contenedor-datos {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 500px;

    padding: 1.5rem;
    border-radius: 30px;
    border: 2px solid var(--color-fondo-secundario);

    align-items: center; 
    text-align: center;  
    margin: 0 auto;

}

.contenedor-datos article {
    flex: 1rem;
    border-radius: 30px;
    text-align: center;
}

.contenedor-datos img {
    width: 120px;
    height: 120px;
    object-fit: contain;

    margin-bottom: 20px;
}

.seccion-plan {
    width: 90%;
    margin: 2rem auto;
}

.titulo-plan {
    width: 100%;
    font-size: 2rem;
    color: var(--color-primario);
    border-bottom: 3px solid var(--color-primario);
    padding-bottom: 10px;
    margin-bottom: 30px;
}

.contenedor-plan {
    border: 2px solid var(--color-fondo-secundario);
    border-radius: 30px;
    padding: 2rem;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;
}

.imagen_plan {
    width: 100%;
    max-width: 800px;
    height: auto;
    display: block;
    margin: 0 auto;
}

.imagen_mapa {
    width: 200%;
    max-width: 1200px;
    height: auto;
    display: block;
    margin: 0 auto;
    padding: 1rem;
}

.seccion-mapa {
    width: 90%;
    margin: 2rem auto;
}

.titulo-mapa {
    width: 100%;
    font-size: 2rem;
    color: var(--color-primario);
    border-bottom: 3px solid var(--color-primario);
    padding-bottom: 10px;
    margin-bottom: 30px;
}

.contenedor-mapa {
    border: 2px solid var(--color-fondo-secundario);
    border-radius: 30px;
    padding: 2rem;
    text-align: center;
}

.imagen_mapa {
    width: 100%;
    max-width: 1200px;
    height: auto;
    display: block;
    margin: 0 auto;
}

footer {
    background-color: var(--color-primario);
    color: var(--color-blanco);

    padding: 2rem;
    text-align: center;
    box-sizing: border-box;

}